org.apache.lucene.codecs.sep

## Class IntIndexOutput

- java.lang.Object
- - org.apache.lucene.codecs.sep.IntIndexOutput

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Direct Known Subclasses:
    FixedIntBlockIndexOutput, VariableIntBlockIndexOutput

      public abstract class IntIndexOutput
      extends Object
      implements Closeable

  Defines basic API for writing ints to an IndexOutput. IntBlockCodec interacts with this API. @see IntBlockReader.

  NOTE: block sizes could be variable

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IntIndexOutput.Index` Records a single skip-point in the IndexOutput.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntIndexOutput()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `close()`
    `abstract IntIndexOutput.Index` | `index()` If you are indexing the primary output file, call this and interact with the returned IndexWriter.
    `abstract void` | `write(int v)` Write an int to the primary file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntIndexOutput

          public IntIndexOutput()

  - ### Method Detail

    - #### write

          public abstract void write(int v)
                              throws IOException

      Write an int to the primary file. The value must be >= 0.
      Throws:
        `IOException`

    - #### index

          public abstract IntIndexOutput.Index index()
                                              throws IOException

      If you are indexing the primary output file, call this and interact with the returned IndexWriter.
      Throws:
        `IOException`

    - #### close

          public abstract void close()
                              throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.